petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSGetSolveTime

Gets the time after a call to TSSolve()

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetSolveTime(TS ts,PetscReal *ftime)

Not Collective

### Input Parameter

ts -the TS context

### Output Parameter

ftime -the final time. This time corresponds to the final time set with TSSetMaxTime()

### Notes

Can only be called after the call to TSSolve() is complete.

### See Also

TSSetConvergenceTest(), TSConvergedReason

### Level

beginner

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex13.c.html
src/ts/examples/tutorials/ex14.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages